:not(:defined)>* {
  display: none;
}

body {
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;
  font-family: "Archivo", sans-serif;
  font-weight: 400;
  font-size: 14px;
}

model-viewer {
  width: 100%;
  height: 100%;
  background-image: url(EtiudaBGR.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.menu-bar {
  position: fixed;
  z-index: 99;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 50px 0px 0px;
  gap: 5px;
  background-color: transparent;
  width: 100%;
}

.progress-bar {
  display: block;
  width: 60%;
  height: 10px;
  position: absolute;
  left: 50%;
  top: 70%;
  transform: translate3d(-50%, -50%, 0);
  box-shadow: 0px 0px 15px 1px rgba(0, 0, 0, 0.4);
  border: none;
  background-color: rgba(255, 255, 255, 0.25);
}



.progress-bar.hide {
  visibility: hidden;
  transition: visibility 0.3s;
}

.update-bar {
  background-color: #fff;
  width: 0%;
  height: 100%;
  float: left;
  transition: width 0.3s;
}

.loading-text {
  font-size: 28px;
  font-weight: 400;
  color: #fff;
}

@media (max-width: 533px) {
  .progress-bar {

    width: 80%;
    height: 10px;
    top: 60%;
  }

  .loading-text {
    font-size: 21px;
    font-weight: 400;
    color: #fff;
  }
}

.ar-icon {
  height: 20px;
  width: 20px;
  background-image: url(ar_icon2.png);
  background-size: contain;
  background-repeat: no-repeat;
}

#ar-button {
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.8);
  position: absolute;
  left: 50%;
  bottom: 15%;
  transform: translateX(-50%);
  white-space: nowrap;
  padding: 14px 21px 13px 19px;
  font-size: 14px;
  letter-spacing: 1px;
  text-transform: uppercase;
  color: #333;
  border: 1px solid #333;
}

#ar-button:active {
  background-color: #fff;
}

#ar-button:focus {
  outline: none;
}

#ar-button:focus-visible {
  outline: 1px solid #4285f4;
}

@keyframes circle {
  from {
    transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg);
  }

  to {
    transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg);
  }
}

@keyframes elongate {
  from {
    transform: translateX(100px);
  }

  to {
    transform: translateX(-100px);
  }
}

model-viewer>#ar-prompt {
  position: absolute;
  left: 50%;
  bottom: 60px;
  animation: elongate 2s infinite ease-in-out alternate;
  display: none;
}

model-viewer[ar-status="session-started"]>#ar-prompt {
  display: block;
}

model-viewer>#ar-prompt>img {
  animation: circle 4s linear infinite;
}